#property show_inputs
extern int    bars      = 1000;
extern string name      = "NonLagData_DATA";
extern int    NlmPeriod = 25;          // Calculation period
extern int    NlmPrice  = PRICE_CLOSE; // Price to use

int CSVHandle = -1;

int OpenHistoryFile()
{
      CSVHandle = FileOpen(name + ".csv", FILE_CSV|FILE_WRITE, ',');
      if (CSVHandle < 0) return(-1);
   return (0);
}

int InitializeHeaderFile()
{
   FileWrite(CSVHandle,"DATA");
   return(0);
}

void WriteHistoryData()
{
   if (CSVHandle >= 0) {
      for (int k=bars-1; k>=0;k--)
         FileWrite(CSVHandle, iCustom(NULL,0,"NonLag ma nrp nmc",NlmPeriod,NlmPrice,0,k)*iCustom(NULL,0,"NonLag ma nrp nmc",NlmPeriod,NlmPrice,3,k));
   }
}

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   OpenHistoryFile();
   InitializeHeaderFile();
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
      if (CSVHandle >= 0) {
      FileClose(CSVHandle);
      CSVHandle = -1; 
      Comment(name + " written and file closed");
   }

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   WriteHistoryData();
//----
   return(0);
  }
//+------------------------------------------------------------------+